#
# spec file for package python3-mimeparse
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           python3-python-mimeparse
Version:        0.1.4
Release:        8.2
Url:            http://code.google.com/p/mimeparse/
Summary:        Basic functions for parsing and matching mime-type names
License:        MIT
Group:          Development/Languages/Python
Source:         https://pypi.python.org/packages/source/p/python-mimeparse/python-mimeparse-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python3-devel
BuildArch:      noarch

%description
This module provides basic functions for handling mime-types. It can handle
matching mime-types against a list of media-ranges. See section 14.1 of 
the HTTP specification [RFC 2616] for a complete explanation.

%prep
%setup -q -n python-mimeparse-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%check
python3 mimeparse_test.py

%files
%defattr(-,root,root,-)
%doc LICENSE README
%{python3_sitelib}/*

%changelog
* Fri Jun 21 2013 speilicke@suse.com
- Initial version
